Summary:	The game that started roguelike genre
Summary(pl.UTF-8):	Gra, która zapoczątkowała gatunek roguelike
Name:		rogue
Version:	5.3
Release:	14
License:	non-commercial (see COPYING)
Group:		Applications/Games
Source0:	http://yarws.kid.waw.pl/files/%{name}.tar.z
# Source0-md5:	ef3a5f46179981bb95b86d2c66ed3828
Source1:	%{name}.desktop
Source2:	%{name}.png
Source3:	http://yarws.kid.waw.pl/files/%{name}_spoiler.zip
# Source3-md5:	f09239ef39c780d043d3ba1eccea81c7
# renamed http://home.wanadoo.nl/loche/rogue/guide.txt
Source4:	%{name}-guide.txt
Patch0:		%{name}-rip_time.patch
Patch1:		%{name}-ldflags.patch
Patch2:		%{name}-sec.patch
URL:		http://home.wanadoo.nl/loche/rogue/
BuildRequires:	ncurses-devel
BuildRequires:	unzip
Conflicts:	applnk < 1.5.13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/var/games/rogue

%description
A Dungeons-and-Dragons-like game using character graphics, written
under BSD Unix and subsequently ported to other Unix systems. The
original BSD `curses(3)' screen-handling package was hacked together
by Ken Arnold primarily to support games, and the development of
`rogue(6)' popularized its use. Nethack, Omega, Larn, Angband, and an
entire subgenre of computer dungeon games (all known as `roguelikes')
all took off from the inspiration provided by `rogue(6)'; the popular
Windows game Diablo, though graphics-intensive, has very similar play
logic.

%description -l pl.UTF-8
Gra czerpiąca z Dungeons and Dragons używająca znakowej grafiki,
napisana pod Uniksem BSD, a następnie portowana na inne systemy
uniksowe. Początkowa biblioteka obsługi ekranu 'curses (3)' była
hackowana wspólnie z Kenem Arnoldem głównie by wspierać gry, a rozwój
'rogue (6)' spopularyzował ją. Nethack, Omega, Larn, Angband i cały
podgatunek lochowych gier komputerowych (znanych jako 'roguelike')
czerpią inspirację z 'rogue (6)'. Popularna gra Diablo, mimo ogromnego
ładunku grafiki, ma bardzo podobną logikę gry.

%package spoilers
Summary:	Spoilers for rogue
Summary(pl.UTF-8):	Psuje dla rogue
Group:		Applications/Games

%description spoilers
Spoilers for rogue.

%description spoilers -l pl.UTF-8
Psuje dla rogue.

%prep
%setup -a3 -q -c %{name}-%{version}
%patch0 -p1
%patch1 -p0
%patch2 -p0

%build
for i in *.[ch]
do
	cat $i | sed 's/^#ifdef CURSES/#if 0/g' > $i.new
	cat $i.new | sed 's/^#ifndef CURSES/#if 1/g' > $i
	rm $i.new
done
cat instruct.c | sed 's@%{_prefix}/games@%{_prefix}/share/doc/%{name}-%{version}@' > instruct.c.new
cat score.c | sed 's@%{_prefix}/games@%{_datadir}@' > score.c.new
mv -f instruct.c.new instruct.c
mv -f score.c.new score.c

%{__make} CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -DUNIX -DUNIX_SYS5 -I/usr/include/ncurses -c" \
	LDFLAGS="%{rpmldflags} -lncurses"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_datadir},%{_desktopdir},%{_pixmapsdir}}

install rogue $RPM_BUILD_ROOT%{_bindir}

touch $RPM_BUILD_ROOT%{_datadir}/rogue.scores

cp %{SOURCE4} guide.txt

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

head -n 11 main.c > COPYING

%define		_noautocompressdoc	usr/games/rogue.instr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(2755,root,games) %{_bindir}/*
%attr(2775,root,games) %dir %{_datadir}
%attr(664,root,games) %config(noreplace) %verify(not md5 mtime size) %{_datadir}/rogue.scores

# don't gzip rogue.instr!
%doc usr/games/rogue.instr README guide.txt COPYING

%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files spoilers
%defattr(644,root,root,755)
%doc rogue.*
%changelog
* Sat Dec 05 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rogue.git;a=log;h=master

* Sat Dec 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 6bfeb52
- ncurses rebuild
- release 14 (by relup.sh)

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7802348
- release 13

* Wed Dec 26 2007 blekot <blekot@pld-linux.org> 61cef08
- massive change ( validate errors warrings from desktop-file-validate)
  - sed -i 's,Encoding=UTF-8,,g' *.desktop
  - sed -i "s,.png,,1" `grep -l 'Icon=[^/].*\.png' *.desktop`
  - sed -i "s,MimeType=.*,\0;,g" `grep "MimeType.*semicolon" validate |awk '{print $1}' |tr ":" " "`
  - sed -i 's,MapNotify=.*,,g' *.desktop
  - sed -i '/^$/d' *.desktop
- not all error/warrings validated

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> dd748a2
- rel 12

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 18b1989
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 27c54af
- converted to UTF-8

* Tue Nov 07 2006 Elan Ruusamäe <glen@pld-linux.org> 4b85f39
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 17b2b39
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

* Sun Dec 04 2005 Elan Ruusamäe <glen@pld-linux.org> b7012ca
- adapterized (sorted %verify flags)

* Wed Dec 01 2004 zbyniu <zbyniu@pld-linux.org> 3469b43
- BR: unzip

* Fri Oct 29 2004 paladine <paladine@pld-linux.org> 361195e
- pl fixes

* Tue Sep 21 2004 ankry <ankry@pld-linux.org> 92515e0
- rel. 11

* Tue Sep 21 2004 ankry <ankry@pld-linux.org> 35f3b13
- fixed path in desktop and Categories

* Mon Mar 08 2004 Tomasz Pala <gotar@pld-linux.org> 78db950
- _applnkdir -> _desktopdir

* Mon Mar 08 2004 Tomasz Pala <gotar@pld-linux.org> 3d41c1a
- added Categories field

* Sun Feb 15 2004 undefine <undefine@pld-linux.org> 4b05f3c
- use /usr/bin, release 10

* Mon Jan 05 2004 ankry <ankry@pld-linux.org> 616e83d
- new head/tail syntax

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> 825e152
- s/^Terminal=0/Terminal=false/ s/^Terminal=1/Terminal=true/ to conform
  freedesktop.org desktop-entry specification

* Sun Nov 23 2003 Tomasz Pala <gotar@pld-linux.org> 85b672a
- added Encoding=UTF-8 (field required by freedesktop.org desktop-entry specification)

* Thu Sep 25 2003 Tomasz Pala <gotar@pld-linux.org> d9f18fb
- Conflicts: applnk < 1.5.13

